# $Revision: 1.12 $, $Date: 2004/04/13 21:13:29 $
%define		major	4
%define		minor	0
%define		micro	1
%define		type	REC
%define		year	1999
%define		month	12
%define		day	24

%define		mver	%{major}%{minor}
%define		ver	%{major}%{minor}%{micro}
%define		v_er	%{major}.%{minor}%{micro}
%define		v__er	%{major}\.%{minor}%{micro}
Summary:	HTML %{v_er}
Summary(pl):	HTML %{v_er}
Name:		html-dtd%{ver}-sgml
Version:	%{year}%{month}%{day}
Release:	6
Group:		Applications/Publishing/SGML
License:	W3C
Vendor:		W3C
Source0:	http://www.w3.org/TR/%{year}/%{type}-html%{ver}-%{version}/html%{mver}.tgz
# Source0-md5:	1ed76627ba80816079649f67023ec7ab
URL:		http://www.w3.org/TR/html
Requires:	sgml-common >= 0.6.3-5
Requires:	sgmlparser
Provides:	html-dtd
AutoReqProv:	no
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML specification (with DTD, needed to parse HTML code).

%description -l pl
Specyfikacja HTML (wraz z DTD, potrzebnym do sprawdzania poprawnoci
kodu HTML).

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/html/sgml-dtd-%{v_er}

mv *.ent *.dtd *.decl $RPM_BUILD_ROOT%{_datadir}/sgml/html/sgml-dtd-%{v_er}

grep -v OVERRIDE *.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/html/sgml-dtd-%{v_er}/catalog
## add alias for 4.0
grep -v OVERRIDE *.cat | grep '%{v__er}' | sed 's/%{v__er}/4.0/g' \
       >> $RPM_BUILD_ROOT%{_datadir}/sgml/html/sgml-dtd-%{v_er}/catalog

rm -f *.cat


%post
/usr/bin/install-catalog --add /etc/sgml/html-%{v_er}.cat /usr/share/sgml/html/sgml-dtd-%{v_er}/catalog > /dev/null

%postun
/usr/bin/install-catalog --remove /etc/sgml/html-%{v_er}.cat /usr/share/sgml/html/sgml-dtd-%{v_er}/catalog > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *
%{_datadir}/sgml/html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: html-dtd401-sgml.spec,v $
Revision 1.12  2004/04/13 21:13:29  qboosh
- R: sgml-common which owns /usr/share/sgml/html; release 6

Revision 1.11  2003/11/11 01:56:07  ankry
- unification

Revision 1.10  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:48:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/04/25 16:34:29  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.4  2001/02/21 23:27:36  kloczek
- adapterized.

Revision 1.3  2001/02/15 22:46:01  klakier
- cosmetics

Revision 1.2  2001/02/15 15:52:02  klakier
- rel 5

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.14  2000/06/07 23:14:02  kloczek
- cosmetics.

Revision 1.13  2000/06/06 17:49:13  klakier
- updated to 4.01 version
  fixed catalog problem

Revision 1.12  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Oct  9 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [19980424-2]
- package is now builded as noarch.

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [19980424-1]
- first HTML 4.0 RPM. Based on W3C Recomendation.
